Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.category
Class CategoryEditablePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.category.CategoryEditablePanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

public class CategoryEditablePanel
extends com.google.gwt.user.client.ui.Composite

Author:
  Alexander Yuhimenko

Constructor Summary
`CategoryEditablePanel(Category category)`

Method Summary
`TextBoxEditor` | `getCategoryName()`
`CardActionButton` | `getCreateCategoryButton()`
`SimpleDialog` | `getDialogBox()`
`CardActionButton` | `getModifyCategoryButton()`
`boolean` | `isMoveCardToNewCategory()`
`void` | `setDialogBox(SimpleDialog dialogBox)`
`void` | `setFocus(boolean focused)`
`void` | `setMoveCardToNewCategory(boolean moveCardToNewCategory)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryEditablePanel

    public CategoryEditablePanel(Category category)

Method Detail

### getCategoryName

    public TextBoxEditor getCategoryName()

  Returns:
    the categoryName

### getDialogBox

    public SimpleDialog getDialogBox()

  Returns:
    the dialogBox

### setDialogBox

    public void setDialogBox(SimpleDialog dialogBox)

  Parameters:
    `dialogBox` - the dialogBox to set

### getCreateCategoryButton

    public CardActionButton getCreateCategoryButton()

  Returns:
    the createCategoryButton

### setFocus

    public void setFocus(boolean focused)

  Parameters:
    `focused` -
  See Also:
    `BaseEditor.setFocus(boolean)`

### getModifyCategoryButton

    public CardActionButton getModifyCategoryButton()

  Returns:
    the modifyCategoryButton

### isMoveCardToNewCategory

    public boolean isMoveCardToNewCategory()

### setMoveCardToNewCategory

    public void setMoveCardToNewCategory(boolean moveCardToNewCategory)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD